# azure.mgmt.datalake.analytics.job.operations module

class `azure.mgmt.datalake.analytics.job.operations.``JobOperations`(client, config, serializer, deserializer)

  Bases: `object`

  JobOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-09-01-preview”.

  `build`(account_name, parameters, custom_headers=None, raw=False, **operation_config)

    Builds (compiles) the specified job in the specified Data Lake Analytics account for job correctness and validation.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - parameters (BuildJobParameters) – The parameters to build a job.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobInformation or ClientRawResponse if raw=true
    Return type: | JobInformation or ClientRawResponse
    Raises: | `CloudError`

  `cancel`(account_name, job_identity, custom_headers=None, raw=False, polling=True, **operation_config)

    Cancels the running job specified by the job ID.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - job_identity (str) – Job identifier. Uniquely identifies the job across all jobs submitted to the service.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `create`(account_name, job_identity, parameters, custom_headers=None, raw=False, **operation_config)

    Submits a job to the specified Data Lake Analytics account.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - job_identity (str) – Job identifier. Uniquely identifies the job across all jobs submitted to the service.
    - parameters (CreateJobParameters) – The parameters to submit a job.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobInformation or ClientRawResponse if raw=true
    Return type: | JobInformation or ClientRawResponse
    Raises: | `CloudError`

  `get`(account_name, job_identity, custom_headers=None, raw=False, **operation_config)

    Gets the job information for the specified job ID.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - job_identity (str) – JobInfo ID.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobInformation or ClientRawResponse if raw=true
    Return type: | JobInformation or ClientRawResponse
    Raises: | `CloudError`

  `get_debug_data_path`(account_name, job_identity, custom_headers=None, raw=False, **operation_config)

    Gets the job debug data information specified by the job ID.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - job_identity (str) – Job identifier. Uniquely identifies the job across all jobs submitted to the service.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobDataPath or ClientRawResponse if raw=true
    Return type: | JobDataPath or ClientRawResponse
    Raises: | `CloudError`

  `get_statistics`(account_name, job_identity, custom_headers=None, raw=False, **operation_config)

    Gets statistics of the specified job.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - job_identity (str) – Job Information ID.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobStatistics or ClientRawResponse if raw=true
    Return type: | JobStatistics or ClientRawResponse
    Raises: | `CloudError`

  `list`(account_name, filter=None, top=None, skip=None, select=None, orderby=None, count=None, custom_headers=None, raw=False, **operation_config)

    Lists the jobs, if any, associated with the specified Data Lake Analytics account. The response includes a link to the next page of results, if any.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - filter (str) – OData filter. Optional.
    - top (int) – The number of items to return. Optional.
    - skip (int) – The number of items to skip over before returning elements. Optional.
    - select (str) – OData Select statement. Limits the properties on each entry to just those requested, e.g. Categories?$select=CategoryName,Description. Optional.
    - orderby (str) – OrderBy clause. One or more comma-separated expressions with an optional “asc” (the default) or “desc” depending on the order you’d like the values sorted, e.g. Categories?$orderby=CategoryName desc. Optional.
    - count (bool) – The Boolean value of true or false to request a count of the matching resources included with the resources in the response, e.g. Categories?$count=true. Optional.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of JobInformationBasic
    Return type: | JobInformationBasicPaged[JobInformationBasic]
    Raises: | `CloudError`

  `update`(account_name, job_identity, parameters=None, custom_headers=None, raw=False, polling=True, **operation_config)

    Updates the job information for the specified job ID. (Only for use internally with Scope job type.).

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - job_identity (str) – Job identifier. Uniquely identifies the job across all jobs submitted to the service.
    - parameters (UpdateJobParameters) – The parameters to update a job.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns JobInformation or ClientRawResponse<JobInformation> if raw==True
    Return type: | AzureOperationPoller[JobInformation] or AzureOperationPoller[ClientRawResponse[JobInformation]]
    Raises: | `CloudError`

  `yield_method`(account_name, job_identity, custom_headers=None, raw=False, polling=True, **operation_config)

    Pauses the specified job and places it back in the job queue, behind other jobs of equal or higher importance, based on priority. (Only for use internally with Scope job type.).

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - job_identity (str) – Job identifier. Uniquely identifies the job across all jobs submitted to the service.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datalake.analytics.job.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datalake/analytics/job/models/__init__.py'>

class `azure.mgmt.datalake.analytics.job.operations.``PipelineOperations`(client, config, serializer, deserializer)

  Bases: `object`

  PipelineOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-09-01-preview”.

  `get`(account_name, pipeline_identity, start_date_time=None, end_date_time=None, custom_headers=None, raw=False, **operation_config)

    Gets the Pipeline information for the specified pipeline ID.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - pipeline_identity (str) – Pipeline ID.
    - start_date_time (datetime) – The start date for when to get the pipeline and aggregate its data. The startDateTime and endDateTime can be no more than 30 days apart.
    - end_date_time (datetime) – The end date for when to get the pipeline and aggregate its data. The startDateTime and endDateTime can be no more than 30 days apart.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobPipelineInformation or ClientRawResponse if raw=true
    Return type: | JobPipelineInformation or ClientRawResponse
    Raises: | `CloudError`

  `list`(account_name, start_date_time=None, end_date_time=None, custom_headers=None, raw=False, **operation_config)

    Lists all pipelines.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - start_date_time (datetime) – The start date for when to get the list of pipelines. The startDateTime and endDateTime can be no more than 30 days apart.
    - end_date_time (datetime) – The end date for when to get the list of pipelines. The startDateTime and endDateTime can be no more than 30 days apart.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of JobPipelineInformation
    Return type: | JobPipelineInformationPaged[JobPipelineInformation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datalake.analytics.job.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datalake/analytics/job/models/__init__.py'>

class `azure.mgmt.datalake.analytics.job.operations.``RecurrenceOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RecurrenceOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client Api Version. Constant value: “2017-09-01-preview”.

  `get`(account_name, recurrence_identity, start_date_time=None, end_date_time=None, custom_headers=None, raw=False, **operation_config)

    Gets the recurrence information for the specified recurrence ID.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - recurrence_identity (str) – Recurrence ID.
    - start_date_time (datetime) – The start date for when to get the recurrence and aggregate its data. The startDateTime and endDateTime can be no more than 30 days apart.
    - end_date_time (datetime) – The end date for when to get recurrence and aggregate its data. The startDateTime and endDateTime can be no more than 30 days apart.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | JobRecurrenceInformation or ClientRawResponse if raw=true
    Return type: | JobRecurrenceInformation or ClientRawResponse
    Raises: | `CloudError`

  `list`(account_name, start_date_time=None, end_date_time=None, custom_headers=None, raw=False, **operation_config)

    Lists all recurrences.

    Parameters:

    - account_name (str) – The Azure Data Lake Analytics account to execute job operations on.
    - start_date_time (datetime) – The start date for when to get the list of recurrences. The startDateTime and endDateTime can be no more than 30 days apart.
    - end_date_time (datetime) – The end date for when to get the list of recurrences. The startDateTime and endDateTime can be no more than 30 days apart.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of JobRecurrenceInformation
    Return type: | JobRecurrenceInformationPaged[JobRecurrenceInformation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.datalake.analytics.job.models' from '/usr/lib/python3/dist-packages/azure/mgmt/datalake/analytics/job/models/__init__.py'>